CFLAGS_PATH += -I$(SOURCE_DIR)/src
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser/adt
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser/ast
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser/driver
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser/firm
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser/parser
CFLAGS_PATH += -I$(SOURCE_DIR)/include/cparser/wrappergen

src/driver/actions.o:	version.tag
src/driver/actions.lo:	version.tag


install-headers-custom:
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/adt
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/ast
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/driver
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/firm
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/parser
		mkdir -p $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/wrappergen

		cp $(SOURCE_DIR)/AUTHOR \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)

		cp $(SOURCE_DIR)/COPYING \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/COPYING.CPARSER

		cp $(SOURCE_DIR)/README.md \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/README

		cp $(SOURCE_DIR)/src/adt/*.h \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/adt

		cp $(SOURCE_DIR)/src/ast/*.h \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/ast

		cp $(SOURCE_DIR)/src/driver/*.h \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/driver

		cp $(SOURCE_DIR)/src/firm/*.h \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/firm

		cp $(SOURCE_DIR)/src/parser/*.h \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/parser

		cp $(SOURCE_DIR)/src/wrappergen/*.h \
		   $(DESTDIR)$(INCLUDEDIR)/$(PACKAGE)/wrappergen


install-man-custom:
		mkdir -p $(DESTDIR)$(MANDIR)/man1

		cp $(SOURCE_DIR)/cparser.1 \
		   $(DESTDIR)$(MANDIR)/man1

install-app-extras:	install-man-custom
