#include <stdio.h>
#include <string.h>

#include "cparser_version.h"

#ifndef CPARSER_THREAD
#define CPARSER_THREAD
#endif

static CPARSER_THREAD char cparser_revision_buffer[64] = {0};

static inline char * cparser_revision()
{
	if (strcmp(CPARSER_GIT_VERSION,"unknown"))
		sprintf(cparser_revision_buffer,"%s-dirty",
			CPARSER_GIT_VERSION);

	return cparser_revision_buffer;
}

#define cparser_REVISION cparser_revision()
